=== debian/changelog ===
libtemplates-parser (19-3) unstable; urgency=medium

  * Standards-Version: 4.3.0.
  * Rules-Requires-Root: no.
  * doc-no-project-language.diff: removey an unused language from
    docs/docs.pgr, as gprbuild becomes more picky. Closes: #917499.
  * Link with -Wl,--as-needed -Wl,--no-undefined.
  * Enable parallel build for documentation now that #869098 is fixed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Dec 2018 21:07:28 +0100

libtemplates-parser (19-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:04 +0200

libtemplates-parser (19-1) experimental; urgency=medium

  * New upstream release. No ALI/SO renaming in experimental.
  * Package the pure GPL releases. Explain the version in README.source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 20:00:45 +0200

libtemplates-parser (17.2-4) experimental; urgency=medium

  * Rebuild with gnat-8, libxmlada-*8-dev.
    Rename shared library and -dev package per Debian Ada policy.
  * Debhelper 11.
  * Drop obsolete version restriction on dpkg-dev.
  * Standards-Version: 4.1.4.
  * Add forgotten sphinxdoc:Built-Using substitution variable.
  * Delete trailing white spaces in this changelog.
  * Split line in debian/patches/series to help lintian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 16:53:01 +0200
