=== debian/control ===
Source: libtemplates-parser
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 11),
 gnat, gnat-8,
# This line is parsed by d/rules.
# gnat-v provides /usr/share/ada/debian_packaging-v.mk
 gprbuild (>= 2017),
# This version cleans auto.cgpr after the build.
 dh-ada-library (>= 6.9),
# dh-ada-library searching projects in new /usr/share/gpr.
# See xsrc/templates_parser-xml.adb.
 libxmlada-unicode8-dev,
 libxmlada-input8-dev,
 libxmlada-sax8-dev,
 libxmlada-dom8-dev,
Build-Depends-Indep: texinfo,
 python3-sphinx,
 latexmk,
# Sphinx >= 1.6 uses the latexmk driver.
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
 texlive-latex-extra,
 texlive-latex-recommended
# sphinx-common provides dh_sphinxdoc
 ,sphinx-common
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.adacore.com/community
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
Vcs-Mtn: mtn://www.ada-france.org?org.debian.libtemplates-parser

Package: libtemplates-parser12-dev
Architecture: any
Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
# No need to Depend: libxmlada*-dev
# because the generated project does not need to import "xmlada.gpr"
# because XMLada is only used by a body in templates-parser.
Suggests: libtemplates-parser-doc
Description: Ada library to parse files and replace variables
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the static libraries, documentation, tools and Ada
 specification files.

Package: libtemplates-parser18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library to parse files and replace variables (runtime)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the runtime shared library.

Package: libtemplates-parser-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: Ada library to parse files and replace variables (documentation)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the documentation for developers using the library.
