## libtemplates-parser 20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2017, AdaCore                     #
+#                     Copyright (C) 2003-2018, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -18,7 +18,7 @@
 
 .SILENT:
 
-VERSION	= 19.0
+VERSION	= 20.0
 
 DEBUG        = false
 TP_TASKING   = Standard_Tasking
@@ -114,7 +114,7 @@
  VERSION \
  prefix
 
-GPROPTS += $(foreach v, \
+override GPROPTS += $(foreach v, \
  PRJ_BUILD TP_XMLADA PROCESSORS TARGET VERSION \
  ,"-X$(v)=$($(v))")
