=== debian/changelog ===
libtemplates-parser (20-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequenc syntax for ada-library and sphinxdoc.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 15:12:56 +0100

libtemplates-parser (20-2) experimental; urgency=medium

  * Use dh-sequence-* syntax for dh-ada-library.
  * Select specific dpkg-dev Makefile snippets.
  * Fix typo in Vcs-Git URL.
  * Bump Standards-Version.
  * Wrap and sort build dependencies.
  * Update ADTTMP variable name in autopkgtest.
  * Prevent a warning about doc-main-package autodetection.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 Dec 2019 12:33:09 +0100

libtemplates-parser (20-1) experimental; urgency=medium

  * New upstream release. Rebuild with GCC-9 and updated dependencies.
    Rename library and -dev packages per Ada policy.
  * Move Vcs-* to salsa.debian.org.
  * Enable various linker warnings. --as-needed is the default in gcc-9,
    removing the need for handle_build_flags.diff.
  * Debhelper 12. Examples are not compressed by default anymore.
  * Standards-Version 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 25 Aug 2019 21:58:56 +0200
