=== debian/control ===
--- 
+++ 
@@ -4,37 +4,38 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ gnat, gnat-9,
 # This line is parsed by d/rules.
 # gnat-v provides /usr/share/ada/debian_packaging-v.mk
  gprbuild (>= 2017),
 # This version cleans auto.cgpr after the build.
- dh-ada-library (>= 6.9),
-# dh-ada-library searching projects in new /usr/share/gpr.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-unicode8-dev,
- libxmlada-input8-dev,
- libxmlada-sax8-dev,
- libxmlada-dom8-dev,
-Build-Depends-Indep: texinfo,
+ libxmlada-dom9-dev,
+ libxmlada-input9-dev,
+ libxmlada-sax9-dev,
+ libxmlada-unicode9-dev,
+Build-Depends-Arch:
+ dh-sequence-ada-library,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ latexmk,
  python3-sphinx,
- latexmk,
+ texinfo,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
- texlive-latex-extra,
- texlive-latex-recommended
-# sphinx-common provides dh_sphinxdoc
- ,sphinx-common
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.adacore.com/community
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.libtemplates-parser
+Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
+Vcs-Git: https://salsa.debian.org/debian/libtemplates-parser.git
 
-Package: libtemplates-parser12-dev
+Package: libtemplates-parser13-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
@@ -52,7 +53,7 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-Package: libtemplates-parser18
+Package: libtemplates-parser19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
