=== debian/changelog ===
libtemplates-parser (21.0.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 15:43:14 +0100

libtemplates-parser (21.0.0-1) experimental; urgency=medium

  * New upstream release (no renaming needed).
  * AdaCore now grants the GCC runtime exception to the GPL-3+ license.
  * AdaCore provides GitHub releases, replace README.source with watch file.
  * Merge upstream and debian copyright stanzas.
  * Add missing license for documentations.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 10 Oct 2020 15:16:38 +0000

libtemplates-parser (20.0-1) experimental; urgency=medium

  * New upstream release built with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13
  * Improve readability of rules and README.source.
  * Remove obsolete Pre-Depends

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 May 2020 00:43:25 +0000
