=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- gnat, gnat-9,
+ debhelper-compat (= 13),
+ gnat, gnat-10,
 # This line is parsed by d/rules.
 # gnat-v provides /usr/share/ada/debian_packaging-v.mk
  gprbuild (>= 2017),
 # This version cleans auto.cgpr after the build.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-dom9-dev,
- libxmlada-input9-dev,
- libxmlada-sax9-dev,
- libxmlada-unicode9-dev,
+ libxmlada-dom10-dev,
+ libxmlada-input10-dev,
+ libxmlada-sax10-dev,
+ libxmlada-unicode10-dev,
 Build-Depends-Arch:
  dh-sequence-ada-library,
 Build-Depends-Indep:
@@ -29,13 +29,13 @@
  texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://www.adacore.com/community
+Homepage: https://github.com/AdaCore/templates-parser
 Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
 Vcs-Git: https://salsa.debian.org/debian/libtemplates-parser.git
 
-Package: libtemplates-parser13-dev
+Package: libtemplates-parser14-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
@@ -53,10 +53,9 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-Package: libtemplates-parser19
+Package: libtemplates-parser20
 Section: libs
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Ada library to parse files and replace variables (runtime)
