=== debian/rules ===
--- 
+++ 
@@ -20,38 +20,33 @@
 # /usr/share/common-licenses/GPL-3.
 
 $(foreach line,$(shell sed -n '\
-  s/^ gnat, gnat-\(.*\),$$/ \
-    GNAT_VERSION:=\1 \
-  /p;\
-  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ \
-    SOVERSION:=\1 \
-  /p;\
+  s/^ gnat, gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
+  s/^Package: libtemplates-parser\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
   ' debian/control),$(eval $(line)))
 
+DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
-  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+DEB_LDFLAGS_MAINT_APPEND := \
+  -Wl,--no-allow-shlib-undefined \
+  -Wl,--no-copy-dt-needed-entries \
+  -Wl,--no-undefined
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-BUILDER_OPTIONS := $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))
 
-# Some of these options are stored into makefile.setup, but not all.
+# Some options are stored into makefile.setup, but some are not.
+# All written options are read back, but some are overriden.
+# That is why we force all values on each Make.
 MAKE_OPTS := \
   VERSION=$(SOVERSION) \
   DEFAULT_LIBRARY_TYPE=relocatable \
-  GPRBUILD="gprbuild $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
+  GPRBUILD='gprbuild $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))' \
   PROCESSORS=$(BUILDER_JOBS) \
   DOC_FORMATS="html info latexpdf text"
 
 ######################################################################
 %:
 	dh $@
-
-# Force reconfiguration.
-.PHONY: override_dh_auto_configure
-override_dh_auto_configure:
-	rm -f makefile.setup tp_xmlada.gpr
 
 .PHONY: override_dh_auto_build-arch
 override_dh_auto_build-arch:
@@ -72,7 +67,6 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	$(MAKE) clean $(MAKE_OPTS)
-	rm -f config/setup/foo.ads.std*
 	rm -fr docs/__pycache__
 
 .PHONY: override_dh_ada_library
