=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%templates-parser-$1.tar.gz%" \
https://github.com/AdaCore/templates-parser/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
