## libtemplates-parser 22.0.0

=== Makefile ===
--- 
+++ 
@@ -150,7 +150,7 @@
 
 install-clean:
 ifneq (,$(wildcard $(TPREFIX)/share/gpr/manifests/templates_parser))
-	-$(GPRINSTALL) $(GPROPTS) --uninstall \
+	-$(GPRINSTALL) $(GPROPTS) -f --uninstall \
 		--prefix=$(TPREFIX) templates_parser
 endif
