=== debian/changelog ===
libtemplates-parser (22.0.0-3) unstable; urgency=medium

  * Prevent a race condition when Make runs several sphinx processes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 08 Jun 2022 13:56:27 +0000

libtemplates-parser (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:52:52 +0200

libtemplates-parser (22.0.0-1) experimental; urgency=medium

  * Build new upstream version with gnat-11. Rename -dev package.
  * Build-Depend: tex-gyre for sphinx. Closes: 997410.
  * Standards-Version: 4.6.0.
  * In avoid-gprbuild-subdir-option.diff, keep parts required
    by Debian but remove parts refused upstream.
  * docs-mkdir-p.diff: fix a trivial build failure.
  * Use unversioned debian_packaging.mk from gnat package.
  * Force detection of installed libxmlada.
  * Add upstream metadata.
  * uscan: drop unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Mar 2022 08:01:29 +0000
