=== debian/control ===
--- 
+++ 
@@ -6,22 +6,23 @@
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- gnat, gnat-10,
-# This line is parsed by d/rules.
-# gnat-v provides /usr/share/ada/debian_packaging-v.mk
+ gnat,
+ gnat-11,
  gprbuild (>= 2017),
 # This version cleans auto.cgpr after the build.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-dom10-dev,
- libxmlada-input10-dev,
- libxmlada-sax10-dev,
- libxmlada-unicode10-dev,
+ libxmlada-dom11-dev,
+ libxmlada-input11-dev,
+ libxmlada-sax11-dev,
+ libxmlada-unicode11-dev,
 Build-Depends-Arch:
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  latexmk,
  python3-sphinx,
+ tex-gyre,
  texinfo,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
@@ -29,13 +30,13 @@
  texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/templates-parser
 Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
 Vcs-Git: https://salsa.debian.org/debian/libtemplates-parser.git
 
-Package: libtemplates-parser14-dev
+Package: libtemplates-parser15-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
