=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for Templates_Parser in Debian.
 # Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2022 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -19,10 +19,8 @@
 # On Debian systems, the full text of the GPL is in the file
 # /usr/share/common-licenses/GPL-3.
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat, gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
-  s/^Package: libtemplates-parser\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
-  ' debian/control),$(eval $(line)))
+SOVERSION != sed -n \
+  '/^Package: libtemplates-parser\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -30,9 +28,11 @@
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
+DEB_GPRBUILDFLAGS_NO_J := 1
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
+include /usr/share/dpkg/buildopts.mk
+include /usr/share/ada/debian_packaging.mk
 
 # Some options are stored into makefile.setup, but some are not.
 # All written options are read back, but some are overriden.
@@ -40,9 +40,15 @@
 MAKE_OPTS := \
   VERSION=$(SOVERSION) \
   DEFAULT_LIBRARY_TYPE=relocatable \
-  GPRBUILD='gprbuild $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))' \
-  PROCESSORS=$(BUILDER_JOBS) \
+  GPRBUILD='gprbuild $(GPRBUILDFLAGS)' \
+  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL)) \
+  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL)) \
   DOC_FORMATS="html info latexpdf text"
+
+# Force detection of libxmlada (Makefile searches for xmlada.gpr which
+# is provided by libxmlada-schema, but there is no other reason to
+# depend on the -schema component.  Merge request pending).
+MAKE_OPTS += TP_XMLADA=Installed
 
 ######################################################################
 %:
@@ -50,12 +56,14 @@
 
 .PHONY: override_dh_auto_build-arch
 override_dh_auto_build-arch:
-	$(MAKE) $(MAKE_OPTS)
+	dh_auto_build -- $(MAKE_OPTS)
 
 .PHONY: override_dh_auto_build-indep
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) build-doc $(MAKE_OPTS) SPHINXOPTS=-j$(BUILDER_JOBS)
+  # Parallelism in Make would create a race condition between sphinx
+  # processes.  Anyway, sphinx already uses parallelism.
+	$(MAKE) build-doc $(MAKE_OPTS)
 endif
 
 # Skip tests, they assume that the executables are in the PATH.
@@ -76,7 +84,7 @@
  # - the generated project will not contain with "xmlada_*.gpr".
  # This is OK as long as XMLAda is only used in bodies and not in specs.
 	dh_ada_library \
-	  PRJ_BUILD=release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
+	  PRJ_BUILD=Release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
 	  TARGET=$(DEB_HOST_GNU_TYPE) templates_parser.gpr
 
 # Prevent a warning about doc-main-package autodetection.
